Bug 75580 - BUGZILLAASSISTANT: BSA should post a more informative error message when user tries to report bug against "older versions" in the "version the bug appeared:" field
Summary: BUGZILLAASSISTANT: BSA should post a more informative error message when user...
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: WWW (show other bugs)
Version:
(earliest affected)
4.3.0.0.alpha0+ Master
Hardware: All All
: high enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: needsDevEval
Depends on:
Blocks:
 
Reported: 2014-02-27 16:49 UTC by retired
Modified: 2015-12-18 10:35 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
BSA uninformative error msg (211.19 KB, image/png)
2014-02-27 16:49 UTC, retired
Details

Note You need to log in before you can comment on or make changes to this bug.
Description retired 2014-02-27 16:49:49 UTC
Created attachment 94836 [details]
BSA uninformative error msg

Problem description: The warnings from BSA are confusing. Improve the top warning message for the following case:

Steps to reproduce:
1. go to https://www.libreoffice.org/get-help/bug/
2. file a bug and in the field "version the bug appeared:" select "older versions"
3. enter some random title and description
4. submit

Current behavior: see screenshot, BSA gives a red error message at the top which reads "there is no version named "older versions" in the "libreoffice" product."

Expected behavior: While this may be true it's not informative and confusing to the user.

Easy solution: Duplicate the middle info msg and have it displayed in that red box:
"The Document Foundation is no longer supporting this version of LibreOffice as it has reached its End of Life. We encourage you to update to a new release and see if your bug is still present:

    Windows
    Mac OSX
    Ubuntu
    Linux (generic)"
Otherwise the top warning doesn't provide a solution and users might miss the info msg in the middle of the page.

Complex solution: Do not allow the user to proceed with BSA, as long as "other versions" is selected. That would solve the problem at all and no adjustment of the top error would be needed since it then never would display.
What I mean is similar to BSA step5 not showing until a title is entered, this should be the same until a version is selected which is supported.              
Operating System: All
Version: 4.3.0.0.alpha0+ Master
Comment 1 Joel Madero 2014-02-27 16:51:09 UTC
Confirmed - we discussed in chat - the red box mixed with the instructions on the bottom can be confusing.
Comment 2 Joel Madero 2014-02-27 23:03:39 UTC
In order to limit the confusion between ProposedEasyHack and EasyHack and to make queries much easier we are changing ProposedEasyHack to NeedsDevEval.

Thank you and apologies for the noise
Comment 3 Florian Effenberger 2014-05-15 12:33:27 UTC
The infrastructure team has moved its ticketing to Redmine
Details on how to handle infra bugs are available at https://wiki.documentfoundation.org/Category:Infrastructure
Redmine is available at http://redmine.documentfoundation.org and everyone can create an account

We believe your bug has been solved in the meantime. If this is wrong, please feel free to re-open a ticket in Redmine.
Comment 4 Robinson Tryon (qubit) 2015-12-18 10:35:25 UTC
Migrating Whiteboard tags to Keywords: (needsDevEval)
[NinjaEdit]